Fork me on GitHub

Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 126
Number of unique artifacts (NOA): 182
Number of version-conflicting artifacts (NOC): 24
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 69 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

commons-beanutils:commons-beanutils

[Error]
1.7.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.apache.velocity:velocity-tools:jar:2.0:compile
          \- commons-beanutils:commons-beanutils:jar:1.7.0:compile

1.9.4
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- commons-beanutils:commons-beanutils:jar:1.9.4:compile

commons-chain:commons-chain

[Error]
1.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.apache.velocity:velocity-tools:jar:2.0:compile
          \- commons-chain:commons-chain:jar:1.1:compile

1.2
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- commons-chain:commons-chain:jar:1.2:compile

commons-codec:commons-codec

[Error]
1.11
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-core:jar:1.11.1:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.13:compile
          \- commons-codec:commons-codec:jar:1.11:compile

1.15
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- com.github.spotbugs:spotbugs:jar:4.7.3:compile
    |  \- net.sf.saxon:Saxon-HE:jar:11.4:runtime
    |     \- org.xmlresolver:xmlresolver:jar:4.4.3:runtime
    |        \- org.apache.httpcomponents.client5:httpclient5:jar:5.1.3:runtime
    |           \- commons-codec:commons-codec:jar:1.15:runtime
    \- commons-codec:commons-codec:jar:1.15:compile

commons-collections:commons-collections

[Error]
3.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.codehaus.plexus:plexus-velocity:jar:1.2:compile
          \- commons-collections:commons-collections:jar:3.1:compile

3.2
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.apache.velocity:velocity-tools:jar:2.0:compile
          \- commons-collections:commons-collections:jar:3.2:compile

3.2.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.apache.velocity:velocity:jar:1.7:compile
          \- commons-collections:commons-collections:jar:3.2.1:compile

3.2.2
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
    |  \- commons-collections:commons-collections:jar:3.2.2:compile
    +- commons-beanutils:commons-beanutils:jar:1.9.4:compile
    |  \- commons-collections:commons-collections:jar:3.2.2:compile
    \- commons-collections:commons-collections:jar:3.2.2:compile

commons-digester:commons-digester

[Error]
1.8
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.apache.velocity:velocity-tools:jar:2.0:compile
          \- commons-digester:commons-digester:jar:1.8:compile

2.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- commons-digester:commons-digester:jar:2.1:compile

commons-io:commons-io

[Error]
2.11.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- commons-io:commons-io:jar:2.11.0:compile

2.6
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven.shared:maven-shared-utils:jar:3.3.4:compile
    |  \- commons-io:commons-io:jar:2.6:compile
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       \- commons-io:commons-io:jar:2.6:compile

commons-lang:commons-lang

[Error]
2.4
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.apache.velocity:velocity:jar:1.7:compile
          \- commons-lang:commons-lang:jar:2.4:compile

2.6
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- commons-lang:commons-lang:jar:2.6:compile

org.apache.commons:commons-lang3

[Error]
3.12.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- com.github.spotbugs:spotbugs:jar:4.7.3:compile
    |  +- org.apache.commons:commons-lang3:jar:3.12.0:compile
    |  \- org.apache.commons:commons-text:jar:1.10.0:compile
    |     \- org.apache.commons:commons-lang3:jar:3.12.0:compile
    \- org.apache.commons:commons-lang3:jar:3.12.0:compile

3.8.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven:maven-artifact:jar:3.8.6:provided
    |  \- org.apache.commons:commons-lang3:jar:3.8.1:provided
    +- org.apache.maven:maven-core:jar:3.8.6:provided
    |  +- org.apache.maven.resolver:maven-resolver-impl:jar:1.6.3:provided
    |  |  \- org.apache.commons:commons-lang3:jar:3.8.1:provided
    |  \- org.apache.commons:commons-lang3:jar:3.8.1:provided
    +- org.apache.maven.doxia:doxia-core:jar:1.11.1:compile
    |  \- org.apache.commons:commons-lang3:jar:3.8.1:compile
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.apache.commons:commons-lang3:jar:3.8.1:compile

org.apache.commons:commons-text

[Error]
1.10.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- com.github.spotbugs:spotbugs:jar:4.7.3:compile
       \- org.apache.commons:commons-text:jar:1.10.0:compile

1.3
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-core:jar:1.11.1:compile
       \- org.apache.commons:commons-text:jar:1.3:compile

org.apache.httpcomponents:httpcore

[Error]
4.4.13
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-core:jar:1.11.1:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.13:compile
          \- org.apache.httpcomponents:httpcore:jar:4.4.13:compile

4.4.14
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-core:jar:1.11.1:compile
       \- org.apache.httpcomponents:httpcore:jar:4.4.14:compile

org.apache.maven.plugin-tools:maven-plugin-annotations

[Error]
3.5.2
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.2.0:compile
       \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.5.2:provided

3.6.4
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.6.4:provided

org.apache.maven.reporting:maven-reporting-api

[Error]
3.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       \- org.apache.maven.reporting:maven-reporting-api:jar:3.0:compile

3.1.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven.reporting:maven-reporting-impl:jar:3.2.0:compile
    |  \- org.apache.maven.reporting:maven-reporting-api:jar:3.1.1:compile
    \- org.apache.maven.reporting:maven-reporting-api:jar:3.1.1:compile

org.apache.maven.shared:maven-common-artifact-filters

[Error]
3.1.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.shared:maven-artifact-transfer:jar:0.13.1:compile
       \- org.apache.maven.shared:maven-common-artifact-filters:jar:3.1.0:compile

3.3.2
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.shared:maven-common-artifact-filters:jar:3.3.2:compile

org.apache.maven:maven-artifact

[Error]
2.2.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       +- org.apache.maven:maven-artifact:jar:2.2.1:compile
       +- org.apache.maven:maven-artifact-manager:jar:2.2.1:provided
       |  \- org.apache.maven:maven-artifact:jar:2.2.1:provided
       \- org.apache.maven:maven-project:jar:2.2.1:provided
          \- org.apache.maven:maven-artifact:jar:2.2.1:provided

3.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven.shared:maven-artifact-transfer:jar:0.13.1:compile
    |  \- org.apache.maven:maven-artifact:jar:3.0:compile
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.apache.maven:maven-artifact:jar:3.0:compile

3.1.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.2.0:compile
       \- org.apache.maven:maven-artifact:jar:3.1.0:compile

3.8.6
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven:maven-plugin-api:jar:3.8.6:provided
    |  \- org.apache.maven:maven-artifact:jar:3.8.6:provided
    +- org.apache.maven:maven-artifact:jar:3.8.6:provided
    \- org.apache.maven:maven-core:jar:3.8.6:provided
       +- org.apache.maven:maven-artifact:jar:3.8.6:provided
       \- org.apache.maven:maven-model-builder:jar:3.8.6:provided
          \- org.apache.maven:maven-artifact:jar:3.8.6:provided

org.apache.maven:maven-core

[Error]
3.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.shared:maven-artifact-transfer:jar:0.13.1:compile
       \- org.apache.maven:maven-core:jar:3.0:compile

3.1.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.2.0:compile
       \- org.apache.maven:maven-core:jar:3.1.0:compile

3.8.6
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven:maven-core:jar:3.8.6:provided

org.apache.maven:maven-model

[Error]
2.2.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       +- org.apache.maven:maven-model:jar:2.2.1:compile
       \- org.apache.maven:maven-project:jar:2.2.1:provided
          +- org.apache.maven:maven-profile:jar:2.2.1:provided
          |  \- org.apache.maven:maven-model:jar:2.2.1:provided
          \- org.apache.maven:maven-model:jar:2.2.1:provided

3.8.6
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven:maven-plugin-api:jar:3.8.6:provided
    |  \- org.apache.maven:maven-model:jar:3.8.6:provided
    +- org.apache.maven:maven-core:jar:3.8.6:provided
    |  +- org.apache.maven:maven-model:jar:3.8.6:provided
    |  +- org.apache.maven:maven-model-builder:jar:3.8.6:provided
    |  |  \- org.apache.maven:maven-model:jar:3.8.6:provided
    |  \- org.apache.maven:maven-resolver-provider:jar:3.8.6:provided
    |     \- org.apache.maven:maven-model:jar:3.8.6:provided
    \- org.apache.maven:maven-model:jar:3.8.6:provided

org.apache.maven:maven-plugin-api

[Error]
2.2.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       \- org.apache.maven:maven-plugin-api:jar:2.2.1:compile

3.1.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.2.0:compile
       \- org.apache.maven:maven-plugin-api:jar:3.1.0:compile

3.8.6
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven:maven-plugin-api:jar:3.8.6:provided
    \- org.apache.maven:maven-core:jar:3.8.6:provided
       \- org.apache.maven:maven-plugin-api:jar:3.8.6:provided

org.apache.velocity:velocity

[Error]
1.6.2
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.apache.velocity:velocity-tools:jar:2.0:compile
          \- org.apache.velocity:velocity:jar:1.6.2:compile

1.7
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       +- org.codehaus.plexus:plexus-velocity:jar:1.2:compile
       |  \- org.apache.velocity:velocity:jar:1.7:compile
       \- org.apache.velocity:velocity:jar:1.7:compile

org.codehaus.plexus:plexus-component-annotations

[Error]
2.0.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven.shared:maven-artifact-transfer:jar:0.13.1:compile
    |  \- org.codehaus.plexus:plexus-component-annotations:jar:2.0.0:compile
    +- org.apache.maven.doxia:doxia-decoration-model:jar:1.11.1:compile
    |  \- org.codehaus.plexus:plexus-component-annotations:jar:2.0.0:compile
    +- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
    |  \- org.codehaus.plexus:plexus-component-annotations:jar:2.0.0:compile
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       \- org.codehaus.plexus:plexus-component-annotations:jar:2.0.0:compile

2.1.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven:maven-core:jar:3.8.6:provided
    |  \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:provided
    +- org.apache.maven.doxia:doxia-core:jar:1.11.1:compile
    |  \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.11.1:compile
       |  \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile
       \- org.apache.maven.doxia:doxia-module-xhtml5:jar:1.11.1:compile
          \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

org.codehaus.plexus:plexus-container-default

[Error]
1.0-alpha-9
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9:compile

1.0-alpha-9-stable-1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       +- org.apache.maven:maven-artifact-manager:jar:2.2.1:provided
       |  \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:provided
       \- org.apache.maven:maven-project:jar:2.2.1:provided
          +- org.apache.maven:maven-profile:jar:2.2.1:provided
          |  \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:provided
          +- org.apache.maven:maven-plugin-registry:jar:2.2.1:provided
          |  \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:provided
          \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:provided

2.1.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven.shared:maven-shared-utils:jar:3.3.4:compile
    |  \- org.codehaus.plexus:plexus-container-default:jar:2.1.0:provided
    \- org.apache.maven.doxia:doxia-core:jar:1.11.1:compile
       +- org.apache.maven.doxia:doxia-logging-api:jar:1.11.1:compile
       |  \- org.codehaus.plexus:plexus-container-default:jar:2.1.0:compile
       \- org.codehaus.plexus:plexus-container-default:jar:2.1.0:compile

2.1.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.codehaus.plexus:plexus-container-default:jar:2.1.1:compile

org.codehaus.plexus:plexus-interpolation

[Error]
1.11
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       \- org.apache.maven:maven-project:jar:2.2.1:provided
          +- org.apache.maven:maven-profile:jar:2.2.1:provided
          |  \- org.codehaus.plexus:plexus-interpolation:jar:1.11:provided
          \- org.codehaus.plexus:plexus-interpolation:jar:1.11:provided

1.26
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven:maven-core:jar:3.8.6:provided
    |  +- org.apache.maven:maven-settings-builder:jar:3.8.6:provided
    |  |  \- org.codehaus.plexus:plexus-interpolation:jar:1.26:provided
    |  +- org.apache.maven:maven-model-builder:jar:3.8.6:provided
    |  |  \- org.codehaus.plexus:plexus-interpolation:jar:1.26:provided
    |  \- org.codehaus.plexus:plexus-interpolation:jar:1.26:compile
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       \- org.codehaus.plexus:plexus-interpolation:jar:1.26:compile

org.codehaus.plexus:plexus-utils

[Error]
1.4.2
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       \- org.apache.maven:maven-artifact-manager:jar:2.2.1:provided
          \- org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:provided
             \- org.codehaus.plexus:plexus-utils:jar:1.4.2:provided

1.4.5
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
       \- org.codehaus.plexus:plexus-i18n:jar:1.0-beta-10:compile
          \- org.codehaus.plexus:plexus-utils:jar:1.4.5:compile

1.5.15
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       +- org.apache.maven:maven-artifact-manager:jar:2.2.1:provided
       |  \- org.codehaus.plexus:plexus-utils:jar:1.5.15:provided
       \- org.apache.maven:maven-project:jar:2.2.1:provided
          +- org.apache.maven:maven-profile:jar:2.2.1:provided
          |  \- org.codehaus.plexus:plexus-utils:jar:1.5.15:provided
          +- org.apache.maven:maven-plugin-registry:jar:2.2.1:provided
          |  \- org.codehaus.plexus:plexus-utils:jar:1.5.15:provided
          \- org.codehaus.plexus:plexus-utils:jar:1.5.15:provided

3.3.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven.shared:maven-artifact-transfer:jar:0.13.1:compile
    |  \- org.codehaus.plexus:plexus-utils:jar:3.3.0:compile
    +- org.apache.maven.doxia:doxia-core:jar:1.11.1:compile
    |  \- org.codehaus.plexus:plexus-utils:jar:3.3.0:compile
    +- org.apache.maven.doxia:doxia-decoration-model:jar:1.11.1:compile
    |  \- org.codehaus.plexus:plexus-utils:jar:3.3.0:compile
    +- org.apache.maven.doxia:doxia-site-renderer:jar:1.11.1:compile
    |  +- org.apache.maven.doxia:doxia-skin-model:jar:1.11.1:compile
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.3.0:compile
    |  +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.11.1:compile
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.3.0:compile
    |  +- org.apache.maven.doxia:doxia-module-xhtml5:jar:1.11.1:compile
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.3.0:compile
    |  \- org.codehaus.plexus:plexus-utils:jar:3.3.0:compile
    \- org.apache.maven.doxia:doxia-integration-tools:jar:1.11.1:compile
       \- org.codehaus.plexus:plexus-utils:jar:3.3.0:compile

3.3.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven.reporting:maven-reporting-impl:jar:3.2.0:compile
    |  \- org.codehaus.plexus:plexus-utils:jar:3.3.1:compile
    +- org.apache.maven:maven-plugin-api:jar:3.8.6:provided
    |  \- org.codehaus.plexus:plexus-utils:jar:3.3.1:provided
    +- org.apache.maven:maven-artifact:jar:3.8.6:provided
    |  \- org.codehaus.plexus:plexus-utils:jar:3.3.1:provided
    +- org.apache.maven:maven-core:jar:3.8.6:provided
    |  +- org.apache.maven:maven-settings:jar:3.8.6:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.3.1:provided
    |  +- org.apache.maven:maven-settings-builder:jar:3.8.6:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.3.1:provided
    |  +- org.apache.maven:maven-repository-metadata:jar:3.8.6:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.3.1:provided
    |  +- org.apache.maven:maven-model-builder:jar:3.8.6:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.3.1:provided
    |  +- org.apache.maven:maven-resolver-provider:jar:3.8.6:provided
    |  |  \- org.codehaus.plexus:plexus-utils:jar:3.3.1:provided
    |  \- org.codehaus.plexus:plexus-utils:jar:3.3.1:provided
    \- org.apache.maven:maven-model:jar:3.8.6:provided
       \- org.codehaus.plexus:plexus-utils:jar:3.3.1:provided

3.4.1
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.apache.maven:maven-core:jar:3.8.6:provided
    |  \- org.apache.maven:maven-settings-builder:jar:3.8.6:provided
    |     \- org.codehaus.plexus:plexus-sec-dispatcher:jar:2.0:provided
    |        \- org.codehaus.plexus:plexus-utils:jar:3.4.1:provided
    \- org.codehaus.plexus:plexus-resources:jar:1.2.0:compile
       \- org.codehaus.plexus:plexus-utils:jar:3.4.1:compile

3.5.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.codehaus.plexus:plexus-utils:jar:3.5.0:compile

org.slf4j:slf4j-api

[Error]
1.7.25
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- com.github.spotbugs:spotbugs:jar:4.7.3:compile
       \- net.sf.saxon:Saxon-HE:jar:11.4:runtime
          \- org.xmlresolver:xmlresolver:jar:4.4.3:runtime
             \- org.apache.httpcomponents.client5:httpclient5:jar:5.1.3:runtime
                \- org.slf4j:slf4j-api:jar:1.7.25:runtime

1.7.32
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.codehaus.plexus:plexus-resources:jar:1.2.0:compile
       \- org.slf4j:slf4j-api:jar:1.7.32:compile

1.7.5
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- org.apache.maven.shared:maven-artifact-transfer:jar:0.13.1:compile
       \- org.slf4j:slf4j-api:jar:1.7.5:compile

2.0.0
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- com.github.spotbugs:spotbugs:jar:4.7.3:compile
       \- org.slf4j:slf4j-api:jar:2.0.0:compile

2.0.3
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    +- org.slf4j:jcl-over-slf4j:jar:2.0.3:compile
    |  \- org.slf4j:slf4j-api:jar:2.0.3:compile
    +- org.slf4j:slf4j-api:jar:2.0.3:compile
    \- org.slf4j:slf4j-simple:jar:2.0.3:compile
       \- org.slf4j:slf4j-api:jar:2.0.3:compile

xml-apis:xml-apis

[Error]
1.3.02
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- com.github.spotbugs:spotbugs:jar:4.7.3:compile
       \- jaxen:jaxen:jar:1.2.0:runtime
          \- xml-apis:xml-apis:jar:1.3.02:runtime

1.4.01
    com.github.spotbugs:spotbugs-maven-plugin:maven-plugin:4.7.3.0
    \- com.github.spotbugs:spotbugs:jar:4.7.3:compile
       \- net.sf.saxon:Saxon-HE:jar:11.4:runtime
          +- org.xmlresolver:xmlresolver:jar:4.4.3:runtime
          |  \- xml-apis:xml-apis:jar:1.4.01:runtime
          \- org.xmlresolver:xmlresolver:jar:data:4.4.3:runtime
             \- xml-apis:xml-apis:jar:1.4.01:runtime